io.vertx.redis.op

## Class MigrateOptions

- java.lang.Object
- - io.vertx.redis.op.MigrateOptions

-     public class MigrateOptions
      extends Object

  Author:
    Marko Strukelj

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MigrateOptions` | `NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrateOptions()`
    `MigrateOptions(JsonObject json)`
    `MigrateOptions(MigrateOptions obj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MigrateOptions` | `setCopy(Boolean copy)`
    `MigrateOptions` | `setReplace(Boolean replace)`
    `JsonObject` | `toJson()`
    `JsonArray` | `toJsonArray()`
    `MigrateOptions` | `useCopy()` Deprecated. use `setCopy(Boolean)` instead
    `MigrateOptions` | `useReplace()` Deprecated. use `setReplace(Boolean)` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final MigrateOptions NONE

  - ### Constructor Detail

    - #### MigrateOptions

          public MigrateOptions()

    - #### MigrateOptions

          public MigrateOptions(MigrateOptions obj)

    - #### MigrateOptions

          public MigrateOptions(JsonObject json)

  - ### Method Detail

    - #### setCopy

          public MigrateOptions setCopy(Boolean copy)

    - #### setReplace

          public MigrateOptions setReplace(Boolean replace)

    - #### useCopy

          @Deprecated
          public MigrateOptions useCopy()

      Deprecated. use `setCopy(Boolean)` instead

    - #### useReplace

          @Deprecated
          public MigrateOptions useReplace()

      Deprecated. use `setReplace(Boolean)` instead

    - #### toJson

          public JsonObject toJson()

    - #### toJsonArray

          public JsonArray toJsonArray()

Copyright © 2019 Eclipse. All rights reserved.